Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.hp.hpl.jena.sdb.layout2
Enum VarState

    java.lang.Object
      java.lang.Enum<VarState>
          com.hp.hpl.jena.sdb.layout2.VarState

All Implemented Interfaces:
  Serializable, Comparable<VarState>

    public enum VarState

extends Enum<VarState>

The state of a variable as reocorde by the variable tracking code

Enum Constant Summary
`BOUND`
`MAYBE_BOUND`
`UNBOUND`

Method Summary
`static VarState` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static VarState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UNBOUND

    public static final VarState UNBOUND

### BOUND

    public static final VarState BOUND

### MAYBE_BOUND

    public static final VarState MAYBE_BOUND

Method Detail

### values

    public static VarState[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (VarState c : VarState.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static VarState valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright ? 2006, 2007, 2008, 2009 Hewlett-Packard Development Company, LP Copyright ? 2010 Epimorphics Ltd.